> For the complete documentation index, see [llms.txt](https://docs.pollination.solutions/user-manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pollination.solutions/user-manual/developers/apps/visualize-web.md).

# Visualize Results on the Web

In [this](/user-manual/developers/apps/download-output.md) section we downloaded the "visualization" output of the daylight-factor study that we ran, which downloaded a file named "daylight\_factor.vtkjs". We will now visualize that file in the Pollination web app.

Install the following libraries first

```python
pip install pollination-streamlit-viewer
```

Visualize the vtkjs file in the web app

```python
from pollination_streamlit_viewer import viewer
from pathlib import Path

vtkjs_path = Path('daylight_factor.vtkjs')
viewer(content=vtkjs_path.read_bytes(), key='df')
```

This should render the model inside the Pollination viewer in the web app;

![](/files/xS778eE0Y4Yfv2ALiGV0)

In order to learn more about how to integrate the Pollination viewer in your app, read this [section](/user-manual/developers/apps/integrating-the-pollination-viewer.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pollination.solutions/user-manual/developers/apps/visualize-web.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
